<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/SymbolLookup/Display.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Display.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/SymbolLookup/Display.hh</h1><div><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../SymbolLookup.hh.html" >Synopsis/SymbolLookup.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >ScopeDisplay</a>
<div class="doc"><p>The ScopeDisplay class provides an annotated view of the symbol table,
for debugging purposes.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >SymbolDisplay</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::ScopeDisplay</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#my_indent" >my_indent</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#my_os" >my_os</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::SymbolDisplay</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_indent" >my_indent</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_name" >my_name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_os" >my_os</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup.html#display_lconst.Scope_S_cstd_mostream_A_r" >display&#40;const&#160;Scope*&#44;std::ostream&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::ScopeDisplay</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#ScopeDisplay_lstd_mostream_A_r" >ScopeDisplay&#40;std::ostream&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#display_lconst.Scope_S_r" >display&#40;const&#160;Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lClass_S_r" >visit&#40;Class*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lFunctionScope_S_r" >visit&#40;FunctionScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lLocalScope_S_r" >visit&#40;LocalScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lNamespace_S_r" >visit&#40;Namespace*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lPrototypeScope_S_r" >visit&#40;PrototypeScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#visit_lTemplateParameterScope_S_r" >visit&#40;TemplateParameterScope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#_tScopeDisplay_l_r" >~ScopeDisplay&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::SymbolDisplay</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#SymbolDisplay_lstd_mostream_A_csize_t_r" >SymbolDisplay&#40;std::ostream&amp;&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#display_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" >display&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;Symbol*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#prefix_lconst.std_mstring_A_r" >prefix&#40;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ClassName_S_r" >visit&#40;const&#160;ClassName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ClassTemplateName_S_r" >visit&#40;const&#160;ClassTemplateName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ConstName_S_r" >visit&#40;const&#160;ConstName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.EnumName_S_r" >visit&#40;const&#160;EnumName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.FunctionName_S_r" >visit&#40;const&#160;FunctionName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.FunctionTemplateName_S_r" >visit&#40;const&#160;FunctionTemplateName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.NamespaceName_S_r" >visit&#40;const&#160;NamespaceName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.Symbol_S_r" >visit&#40;const&#160;Symbol*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.TypeName_S_r" >visit&#40;const&#160;TypeName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.TypedefName_S_r" >visit&#40;const&#160;TypedefName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.VariableName_S_r" >visit&#40;const&#160;VariableName*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
